*** naivereg ***
cap program drop naivereg
program define naivereg, eclass sortpreserve
  preserve
  * di "The local 0 contains the entire command line: `0'"
  syntax [anything(name=0)] [if] [in] [, degree(real 10) max_iter(real 100) penalty(string) trace(real 1) showdrop(real 0)]
  if "`penalty'" == ""{
   local penalty "grLasso"
  }

  gettoken main options: 0 , parse(",")
  
  marksample touse

  gettoken dep_exog brackets: 0, parse("(")

  gettoken dep_var exog : dep_exog

  di "Dependent Variables: `dep_var'"
  di "Exogenous Variables: `exog'"

  gettoken cntr: brackets, parse(")")

  local cntr=subinstr("`cntr'", "(", "", .)

  *di "Inside brackets: `cntr'"

  gettoken endog inst: cntr, parse("=")
  local inst=subinstr("`inst'", "=", "", .)
  local clist ""
  local i = 0
  foreach v of varlist `inst' {
    local clist "`clist' `v'"
  local i = `i'+1
  }
  capture matrix drop ivxx_names
  matrix ivxx_names = J(`i',1,1)
  mat rownames ivxx_names = `clist'
  di "Endogenous Variables: `endog'"
  di "Instrumental Variables: `clist'"
  di "Penalty: `penalty'"
  *tokenize `inst'
  

  if `showdrop' == 1{
      di ""
      foreach vars of varlist `endog' `clist' `dep_var' `exog' {
        di as text "checking missing data for" " `vars':"
        drop if missing(`vars')
      }
      di ""
  } 
  else{
      foreach vars of varlist `endog' `clist' `dep_var' `exog' {
            qui drop if missing(`vars')
      }
  }
  
  * At this point we have all of the main pieces of elements we would need to run our ivreg.
  mata:m_naive("`endog'","`inst'","`touse'",`degree',"`penalty'",`max_iter',`trace')
  ivregress 2sls `dep_var' `exog' (`endog' = bs_iv*)
  capture drop bs_iv*
end
*** naivereg ***