{smcl}
{*  12 Feb 2015}{...}
{cmd:help naivereg}
{hline}

{title:Title}

    {hi:NAIVE estimation}

{title:Syntax}

{p 8 14 2}
{cmd:naivereg} {depvar} [{it:{help varlist:varlist1}}]
{cmd:(}{it:{help varlist:varlist2}} {cmd:=}
        {it:{help varlist:varlist_iv}}{cmd:)} {ifin}
[{cmd:,} {it:options} degree(integer 10) max_iter(integer 100) penalty(string "grLasso") trace(real 1) showdrop(real 0)]

{syntab:Main}

{synoptset 20 tabbed}{...}
{synopthdr}
{synoptline}
{syntab:Main}
{synopt:{opt degree(integer)}}  Maximum degree of the piecewise polynomial for IVs. Default is 10.{p_end}
{synopt:{opt max_iter(integer)}} Maximum number of iterations for group Lasso or group SCAD. Default is 100.{p_end}
{synopt:{opt penalty(string)}} The penalty to be applied to the model. For group selection, one of grLasso, or grSCAD. Default is grLasso.{p_end}
{synopt:{opt trace(real)}} If it is 1, information will be printed during the tracing steps. If it is 0, these steps will not be printed.{p_end}
{synopt:{opt showdrop(real)}} If it is 1, information will be printed when checking the missing value. If it is 0, these steps will not be printed.
{synoptline}
{p2colreset}{...}

{title:Description}

{pstd}
NAIVE estimation, nonparametric reduced form instrumental variable estimation with IV selection. See Fan and Zhong (2015)

{title:Options}

{dlgtab:Main}
{phang}
{opt degree} Maximum degree of the piecewise polynomial-default is 3 for cubic splines for IVs. Default is 10.

{phang}
{opt max_iter} Maximum number of iterations for group Lasso or group SCAD. Default is 100.

{phang}
{opt penalty} The penalty to be applied to the model. For group selection, one of grLasso or grSCAD. Default is grLasso.

{phang}
{opt trace} If it is 1, information is printed during the tracing steps. If it is 0, these steps will not be printed.

{phang}
{opt showdrop} If it is 1, information is printed when checking the missing value. If it is 0, these steps will not be printed.

{title:Examples}

{phang}
{stata naivereg v68 v11-v15 (v16 = v6-v10), degree(10) max_iter(100) penalty("grLasso")}

{phang}
{stata naivereg v68 v11-v15 (v16 = v6-v10), penalty("grSCAD") trace(0)}


{title:Saved Results}

    {bf:r(RSS)}  {col 17}the residual sums of squares for each step 
    {bf:r(R2)}   {col 17}the r-squared values 
    Other estimator including in ivregress

{title:Author}

{pstd}
Michael Fan {browse "mailto:michaelqfan@gmail.com":michaelqfan@gmail.com}{break}
Wei Zhong{break}
Wenfeng Qin


